> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Stripe payment intent

> Create Stripe payment intent



## OpenAPI

````yaml oms_v1 post /ext-stripe/payment-intent
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /ext-stripe/payment-intent:
    post:
      tags:
        - Payments
      summary: Create Stripe payment intent
      description: Create Stripe payment intent
      operationId: createStripePayment
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
            example: 0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: integer
                  minimum: 1
                  example: 1000
                currency:
                  type: string
                  maxLength: 3
                  minLength: 3
                  example: USD
                customer:
                  type: string
                  example: cus_HRp23wXfXMqSao
                confirm:
                  type: boolean
                  default: false
                  example: false
                off_session:
                  type: boolean
                  default: false
                  example: false
                payment_method:
                  type: string
                  example: pm_1Gsv4BFbKq2PvwXbl4XEl1O3
                payment_method_types:
                  type: array
                  minItems: 1
                  items:
                    type: string
                    enum:
                      - card
                    example: card
                  default:
                    - card
                  example:
                    - card
                receipt_email:
                  type: string
                  format: email
                  example: joedoe@fabric.inc
                setup_future_usage:
                  type: string
                  enum:
                    - on_session
                    - off_session
                  default: off_session
                  example: off_session
                capture_method:
                  type: string
                  enum:
                    - automatic
                    - manual
                  default: manual
                  example: manual
                application_fee_amount:
                  type: integer
                  minimum: 1
                  example: 100
                transfer_data:
                  type: object
                  required:
                    - destination
                  properties:
                    destination:
                      type: string
                      example: acct_1GtG8vJwgwMmQiI2
                    amount:
                      type: integer
                      minimum: 1
                      example: 1000
                metadata:
                  type: object
                  example:
                    orderId: 1234-1234-12345
      responses:
        '200':
          description: Created stripe payment intent
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        example: pi_1GsyhzFbKq2PvwXbwAI3ZluI
                      object:
                        type: string
                        example: payment_intent
                      amount:
                        type: number
                        example: 1000
                      amount_capturable:
                        type: number
                        example: 0
                      amount_received:
                        type: number
                        example: 0
                      application:
                        type: string
                      application_fee_amount:
                        type: number
                      canceled_at:
                        type: string
                      cancellation_reason:
                        type: string
                      capture_method:
                        type: string
                        example: manual
                      client_secret:
                        type: string
                        example: >-
                          pi_1GsyhzFbKq2Pvw1bwAI3ZluI_secret_GKG6hcap7VCggeoqJICAqSsRW
                      confirmation_method:
                        type: string
                        example: automatic
                      created:
                        type: number
                        example: 1591913835
                      currency:
                        type: string
                        example: usd
                      customer:
                        type: string
                      description:
                        type: string
                      invoice:
                        type: string
                      last_payment_error:
                        type: string
                      livemode:
                        type: boolean
                      metadata:
                        type: object
                      next_action:
                        type: string
                      on_behalf_of:
                        type: string
                      payment_method:
                        type: string
                      payment_method_options:
                        type: object
                        properties:
                          card:
                            type: object
                            properties:
                              installments:
                                type: string
                              network:
                                type: string
                              request_three_d_secure:
                                type: string
                                example: automatic
                      payment_method_types:
                        type: array
                        items:
                          type: string
                          example: card
                        example:
                          - card
                      receipt_email:
                        type: string
                      review:
                        type: string
                      setup_future_usage:
                        type: string
                        example: on_session
                      shipping:
                        type: string
                      source:
                        type: string
                      statement_descriptor:
                        type: string
                      statement_descriptor_suffix:
                        type: string
                      status:
                        type: string
                        example: requires_payment_method
                      transfer_data:
                        type: string
                      transfer_group:
                        type: string
                  - type: object
                    properties:
                      charges:
                        type: object
                        properties:
                          object:
                            type: string
                            example: list
                          data:
                            type: array
                          has_more:
                            type: boolean
                            example: false
                          total_count:
                            type: number
                            example: 0
                          url:
                            type: string
                            example: >-
                              /v1/charges?payment_intent=pi_1GsyhzFbKq2PvwXbwAI3ZluI
        '400':
          $ref: '#/components/responses/GenericClientError'
        '403':
          $ref: '#/components/responses/MissingXApiKeyHeader'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    MissingXApiKeyHeader:
      description: Missing x-api-key in header
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                description: The error message
                example: Forbidden
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````